import{s as Ut,o as Bt}from"../chunks/scheduler.f7e1785c.js";import{S as Ot,i as Rt,g as i,s as a,r as m,A as Dt,h as r,f as n,c as s,j as Vt,u as p,x as l,k as pe,y as Gt,a as o,v as h,d as f,t as d,w as c,m as Yt,n as Jt}from"../chunks/index.9f8f0838.js";import{T as Kt}from"../chunks/Tip.4575d9cf.js";import{H as g,E as Qt}from"../chunks/EditOnGithub.5a9bb8c5.js";function Xt(fe){let u;return{c(){u=Yt("💡 If you take an existing waveform and apply the Short-Time Fourier Transform or STFT, it is possible to perform the inverse operation, the ISTFT, to get the original waveform again. This works because the spectrogram created by the STFT contains both amplitude and phase information, and both are needed to reconstruct the waveform. However, audio models that generate their output as a spectrogram typically only predict the amplitude information, not the phase. To turn such a spectrogram into a waveform, we have to somehow estimate the phase information. That's what a vocoder does.")},l(v){u=Jt(v,"💡 If you take an existing waveform and apply the Short-Time Fourier Transform or STFT, it is possible to perform the inverse operation, the ISTFT, to get the original waveform again. This works because the spectrogram created by the STFT contains both amplitude and phase information, and both are needed to reconstruct the waveform. However, audio models that generate their output as a spectrogram typically only predict the amplitude information, not the phase. To turn such a spectrogram into a waveform, we have to somehow estimate the phase information. That's what a vocoder does.")},m(v,C){o(v,u,C)},d(v){v&&n(u)}}}function Zt(fe){let u,v,C,de,k,ce,_,lt='In this course we will primarily consider transformer models and how they can be applied to audio tasks. While you don’t need to know the inner details of these models, it’s useful to understand the main concepts that make them work, so here’s a quick refresher. For a deep dive into transformers, check out our <a href="https://huggingface.co/course/chapter1/1" rel="nofollow">NLP Course</a>.',ge,M,ve,H,ut="The original transformer model was designed to translate written text from one language into another. Its architecture looked like this:",we,w,mt='<img src="https://huggingface.co/datasets/huggingface-course/documentation-images/resolve/main/en/chapter1/transformers.svg" alt="Original transformer architecture"/>',$e,q,pt="On the left is the <strong>encoder</strong> and on the right is the <strong>decoder</strong>.",xe,L,ht="<li><p>The encoder receives an input, in this case a sequence of text tokens, and builds a representation of it (its features). This part of the model is trained to acquire understanding from the input.</p></li> <li><p>The decoder uses the encoder’s representation (the features) along with other inputs (the previously predicted tokens) to generate a target sequence. This part of the model is trained to generate outputs. In the original design, the output sequence consisted of text tokens.</p></li>",Te,P,ft="There are also transformer-based models that only use the encoder part (good for tasks that require understanding of the input, such as classification), or only the decoder part (good for tasks such as text generation). An example of an encoder-only model is BERT; an example of a decoder-only model is GPT2.",ye,S,dt="A key feature of transformer models is that they are built with special layers called <strong>attention layers</strong>. These layers tell the model to pay specific attention to certain elements in the input sequence and ignore others when computing the feature representations.",be,I,Ce,A,ct="The audio models we’ll cover in this course typically have a standard transformer architecture as shown above, but with a slight modification on the input or output side to allow for audio data instead of text. Since all these models are transformers at heart, they will have most of their architecture in common and the main differences are in how they are trained and used.",ke,$,gt='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/transformers_blocks.png" alt="The transformer with audio input and output"/>',_e,F,vt="For audio tasks, the input and/or output sequences may be audio instead of text:",Me,j,wt="<li><p>Automatic speech recognition (ASR): The input is speech, the output is text.</p></li> <li><p>Speech synthesis (TTS): The input is text, the output is speech.</p></li> <li><p>Audio classification: The input is audio, the output is a class probability — one for each element in the sequence or a single class probability for the entire sequence.</p></li> <li><p>Voice conversion or speech enhancement: Both the input and output are audio.</p></li>",He,z,$t="There are a few different ways to handle audio so it can be used with a transformer. The main consideration is whether to use the audio in its raw form — as a waveform — or to process it as a spectrogram instead.",qe,W,Le,E,xt="The input to an audio model can be either text or sound. The goal is to convert this input into an embedding vector that can be processed by the transformer architecture.",Pe,N,Se,V,Tt="A text-to-speech model takes text as input. This works just like the original transformer or any other NLP model: The input text is first tokenized, giving a sequence of text tokens. This sequence is sent through an input embedding layer to convert the tokens into 512-dimensional vectors. Those embedding vectors are then passed into the transformer encoder.",Ie,U,Ae,B,yt="An automatic speech recognition model takes audio as input. To be able to use a transformer for ASR, we first need to convert the audio into a sequence of embedding vectors somehow.",Fe,O,bt='Models such as <strong>Wav2Vec2</strong> and <strong>HuBERT</strong> use the audio waveform directly as the input to the model. As you’ve seen in <a href="../chapter1/introduction">the chapter on audio data</a>, a waveform is a one-dimensional sequence of floating-point numbers, where each number represents the sampled amplitude at a given time. This raw waveform is first normalized to zero mean and unit variance, which helps to standardize audio samples across different volumes (amplitudes).',je,x,Ct='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/wav2vec2-input.png" alt="Wav2Vec2 uses a CNN to create embeddings from the input waveform"/>',ze,R,kt="After normalizing, the sequence of audio samples is turned into an embedding using a small convolutional neural network, known as the feature encoder. Each of the convolutional layers in this network processes the input sequence, subsampling the audio to reduce the sequence length, until the final convolutional layer outputs a 512-dimensional vector with the embedding for each 25 ms of audio. Once the input sequence has been transformed into a sequence of such embeddings, the transformer will process the data as usual.",We,D,Ee,G,_t="One downside of using the raw waveform as input is that they tend to have long sequence lengths. For example, thirty seconds of audio at a sampling rate of 16 kHz gives an input of length <code>30 * 16000 = 480000</code>. Longer sequence lengths require more computations in the transformer model, and so higher memory usage.",Ne,Y,Mt="Because of this, raw audio waveforms are not usually the most efficient form of representing an audio input. By using a spectrogram, we get the same amount of information but in a more compressed form.",Ve,T,Ht='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/whisper-input.png" alt="Whisper uses a CNN to create embeddings from the input spectrogram"/>',Ue,J,qt="Models such as <strong>Whisper</strong> first convert the waveform into a log-mel spectrogram. Whisper always splits the audio into 30-second segments, and the log-mel spectrogram for each segment has shape <code>(80, 3000)</code> where 80 is the number of mel bins and 3000 is the sequence length. By converting to a log-mel spectrogram we’ve reduced the amount of input data, but more importantly, this is a much shorter sequence than the raw waveform. The log-mel spectrogram is then processed by a small CNN into a sequence of embeddings, which goes into the transformer as usual.",Be,K,Lt="In both cases, waveform as well as spectrogram input, there is a small network in front of the transformer that converts the input into embeddings and then the transformer takes over to do its thing.",Oe,Q,Re,X,Pt="The transformer architecture outputs a sequence of hidden-state vectors, also known as the output embeddings. Our goal is to transform these vectors into a text or audio output.",De,Z,Ge,ee,St="The goal of an automatic speech recognition model is to predict a sequence of text tokens. This is done by adding a language modeling head — typically a single linear layer — followed by a softmax on top of the transformer’s output. This predicts the probabilities over the text tokens in the vocabulary.",Ye,te,Je,ne,It="For models that generate audio, such as a text-to-speech (TTS) model, we’ll have to add layers that can produce an audio sequence. It’s very common to generate a spectrogram and then use an additional neural network, known as a vocoder, to turn this spectrogram into a waveform.",Ke,oe,At="In the <strong>SpeechT5</strong> TTS model, for example, the output from the transformer network is a sequence of 768-element vectors. A linear layer projects that sequence into a log-mel spectrogram. A so-called post-net, made up of additional linear and convolutional layers, refines the spectrogram by reducing noise. The vocoder then makes the final audio waveform.",Qe,y,Ft='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/speecht5.png" alt="SpeechT5 outputs a spectrogram and uses a vocoder to create the waveform"/>',Xe,b,Ze,ae,et,se,jt="It’s also possible for models to directly output a waveform instead of a spectrogram as an intermediate step, but we currently don’t have any models in 🤗 Transformers that do this.",tt,ie,nt,re,zt="In summary: Most audio transformer models are more alike than different — they’re all built on the same transformer architecture and attention layers, although some models will only use the encoder portion of the transformer while others use both the encoder and decoder.",ot,le,Wt="You’ve also seen how to get audio data into and out of transformer models. To perform the different audio tasks of ASR, TTS, and so on, we can simply swap out the layers that pre-process the inputs into embeddings, and swap out the layers that post-process the predicted embeddings into outputs, while the transformer backbone stays the same.",at,ue,Et="Next, let’s look at a few different ways these models can be trained to do automatic speech recognition.",st,me,it,he,rt;return k=new g({props:{title:"Unit 3. Transformer architectures for audio",local:"unit-3-transformer-architectures-for-audio",headingTag:"h1"}}),M=new g({props:{title:"How does a transformer work?",local:"how-does-a-transformer-work",headingTag:"h2"}}),I=new g({props:{title:"Using transformers for audio",local:"using-transformers-for-audio",headingTag:"h2"}}),W=new g({props:{title:"Model inputs",local:"model-inputs",headingTag:"h2"}}),N=new g({props:{title:"Text input",local:"text-input",headingTag:"h3"}}),U=new g({props:{title:"Waveform input",local:"waveform-input",headingTag:"h3"}}),D=new g({props:{title:"Spectrogram input",local:"spectrogram-input",headingTag:"h3"}}),Q=new g({props:{title:"Model outputs",local:"model-outputs",headingTag:"h2"}}),Z=new g({props:{title:"Text output",local:"text-output",headingTag:"h3"}}),te=new g({props:{title:"Spectrogram output",local:"spectrogram-output",headingTag:"h3"}}),b=new Kt({props:{$$slots:{default:[Xt]},$$scope:{ctx:fe}}}),ae=new g({props:{title:"Waveform output",local:"waveform-output",headingTag:"h3"}}),ie=new g({props:{title:"Conclusion",local:"conclusion",headingTag:"h2"}}),me=new Qt({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/en/chapter3/introduction.mdx"}}),{c(){u=i("meta"),v=a(),C=i("p"),de=a(),m(k.$$.fragment),ce=a(),_=i("p"),_.innerHTML=lt,ge=a(),m(M.$$.fragment),ve=a(),H=i("p"),H.textContent=ut,we=a(),w=i("div"),w.innerHTML=mt,$e=a(),q=i("p"),q.innerHTML=pt,xe=a(),L=i("ul"),L.innerHTML=ht,Te=a(),P=i("p"),P.textContent=ft,ye=a(),S=i("p"),S.innerHTML=dt,be=a(),m(I.$$.fragment),Ce=a(),A=i("p"),A.textContent=ct,ke=a(),$=i("div"),$.innerHTML=gt,_e=a(),F=i("p"),F.textContent=vt,Me=a(),j=i("ul"),j.innerHTML=wt,He=a(),z=i("p"),z.textContent=$t,qe=a(),m(W.$$.fragment),Le=a(),E=i("p"),E.textContent=xt,Pe=a(),m(N.$$.fragment),Se=a(),V=i("p"),V.textContent=Tt,Ie=a(),m(U.$$.fragment),Ae=a(),B=i("p"),B.textContent=yt,Fe=a(),O=i("p"),O.innerHTML=bt,je=a(),x=i("div"),x.innerHTML=Ct,ze=a(),R=i("p"),R.textContent=kt,We=a(),m(D.$$.fragment),Ee=a(),G=i("p"),G.innerHTML=_t,Ne=a(),Y=i("p"),Y.textContent=Mt,Ve=a(),T=i("div"),T.innerHTML=Ht,Ue=a(),J=i("p"),J.innerHTML=qt,Be=a(),K=i("p"),K.textContent=Lt,Oe=a(),m(Q.$$.fragment),Re=a(),X=i("p"),X.textContent=Pt,De=a(),m(Z.$$.fragment),Ge=a(),ee=i("p"),ee.textContent=St,Ye=a(),m(te.$$.fragment),Je=a(),ne=i("p"),ne.textContent=It,Ke=a(),oe=i("p"),oe.innerHTML=At,Qe=a(),y=i("div"),y.innerHTML=Ft,Xe=a(),m(b.$$.fragment),Ze=a(),m(ae.$$.fragment),et=a(),se=i("p"),se.textContent=jt,tt=a(),m(ie.$$.fragment),nt=a(),re=i("p"),re.textContent=zt,ot=a(),le=i("p"),le.textContent=Wt,at=a(),ue=i("p"),ue.textContent=Et,st=a(),m(me.$$.fragment),it=a(),he=i("p"),this.h()},l(e){const t=Dt("svelte-u9bgzb",document.head);u=r(t,"META",{name:!0,content:!0}),t.forEach(n),v=s(e),C=r(e,"P",{}),Vt(C).forEach(n),de=s(e),p(k.$$.fragment,e),ce=s(e),_=r(e,"P",{"data-svelte-h":!0}),l(_)!=="svelte-1vmzrar"&&(_.innerHTML=lt),ge=s(e),p(M.$$.fragment,e),ve=s(e),H=r(e,"P",{"data-svelte-h":!0}),l(H)!=="svelte-1mkk72i"&&(H.textContent=ut),we=s(e),w=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(w)!=="svelte-4s71rk"&&(w.innerHTML=mt),$e=s(e),q=r(e,"P",{"data-svelte-h":!0}),l(q)!=="svelte-1w2wyvs"&&(q.innerHTML=pt),xe=s(e),L=r(e,"UL",{"data-svelte-h":!0}),l(L)!=="svelte-1rc4v1o"&&(L.innerHTML=ht),Te=s(e),P=r(e,"P",{"data-svelte-h":!0}),l(P)!=="svelte-s5brjn"&&(P.textContent=ft),ye=s(e),S=r(e,"P",{"data-svelte-h":!0}),l(S)!=="svelte-1784vk9"&&(S.innerHTML=dt),be=s(e),p(I.$$.fragment,e),Ce=s(e),A=r(e,"P",{"data-svelte-h":!0}),l(A)!=="svelte-tqptai"&&(A.textContent=ct),ke=s(e),$=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l($)!=="svelte-nwa8hg"&&($.innerHTML=gt),_e=s(e),F=r(e,"P",{"data-svelte-h":!0}),l(F)!=="svelte-1xmc1bg"&&(F.textContent=vt),Me=s(e),j=r(e,"UL",{"data-svelte-h":!0}),l(j)!=="svelte-1usb6bv"&&(j.innerHTML=wt),He=s(e),z=r(e,"P",{"data-svelte-h":!0}),l(z)!=="svelte-1bx7vph"&&(z.textContent=$t),qe=s(e),p(W.$$.fragment,e),Le=s(e),E=r(e,"P",{"data-svelte-h":!0}),l(E)!=="svelte-ik9eo0"&&(E.textContent=xt),Pe=s(e),p(N.$$.fragment,e),Se=s(e),V=r(e,"P",{"data-svelte-h":!0}),l(V)!=="svelte-1a0px1j"&&(V.textContent=Tt),Ie=s(e),p(U.$$.fragment,e),Ae=s(e),B=r(e,"P",{"data-svelte-h":!0}),l(B)!=="svelte-1n4r3k2"&&(B.textContent=yt),Fe=s(e),O=r(e,"P",{"data-svelte-h":!0}),l(O)!=="svelte-uicwcm"&&(O.innerHTML=bt),je=s(e),x=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(x)!=="svelte-gtur9r"&&(x.innerHTML=Ct),ze=s(e),R=r(e,"P",{"data-svelte-h":!0}),l(R)!=="svelte-1hz7x86"&&(R.textContent=kt),We=s(e),p(D.$$.fragment,e),Ee=s(e),G=r(e,"P",{"data-svelte-h":!0}),l(G)!=="svelte-dqh243"&&(G.innerHTML=_t),Ne=s(e),Y=r(e,"P",{"data-svelte-h":!0}),l(Y)!=="svelte-u9ygl0"&&(Y.textContent=Mt),Ve=s(e),T=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(T)!=="svelte-byhcj1"&&(T.innerHTML=Ht),Ue=s(e),J=r(e,"P",{"data-svelte-h":!0}),l(J)!=="svelte-1urio56"&&(J.innerHTML=qt),Be=s(e),K=r(e,"P",{"data-svelte-h":!0}),l(K)!=="svelte-1aodk78"&&(K.textContent=Lt),Oe=s(e),p(Q.$$.fragment,e),Re=s(e),X=r(e,"P",{"data-svelte-h":!0}),l(X)!=="svelte-crnfu3"&&(X.textContent=Pt),De=s(e),p(Z.$$.fragment,e),Ge=s(e),ee=r(e,"P",{"data-svelte-h":!0}),l(ee)!=="svelte-4mhr71"&&(ee.textContent=St),Ye=s(e),p(te.$$.fragment,e),Je=s(e),ne=r(e,"P",{"data-svelte-h":!0}),l(ne)!=="svelte-14ned0b"&&(ne.textContent=It),Ke=s(e),oe=r(e,"P",{"data-svelte-h":!0}),l(oe)!=="svelte-kunzqr"&&(oe.innerHTML=At),Qe=s(e),y=r(e,"DIV",{class:!0,"data-svelte-h":!0}),l(y)!=="svelte-24c3yo"&&(y.innerHTML=Ft),Xe=s(e),p(b.$$.fragment,e),Ze=s(e),p(ae.$$.fragment,e),et=s(e),se=r(e,"P",{"data-svelte-h":!0}),l(se)!=="svelte-1x2p2ia"&&(se.textContent=jt),tt=s(e),p(ie.$$.fragment,e),nt=s(e),re=r(e,"P",{"data-svelte-h":!0}),l(re)!=="svelte-7k382i"&&(re.textContent=zt),ot=s(e),le=r(e,"P",{"data-svelte-h":!0}),l(le)!=="svelte-1b97kzt"&&(le.textContent=Wt),at=s(e),ue=r(e,"P",{"data-svelte-h":!0}),l(ue)!=="svelte-1pyvdrd"&&(ue.textContent=Et),st=s(e),p(me.$$.fragment,e),it=s(e),he=r(e,"P",{}),Vt(he).forEach(n),this.h()},h(){pe(u,"name","hf:doc:metadata"),pe(u,"content",en),pe(w,"class","flex justify-center"),pe($,"class","flex justify-center"),pe(x,"class","flex justify-center"),pe(T,"class","flex justify-center"),pe(y,"class","flex justify-center")},m(e,t){Gt(document.head,u),o(e,v,t),o(e,C,t),o(e,de,t),h(k,e,t),o(e,ce,t),o(e,_,t),o(e,ge,t),h(M,e,t),o(e,ve,t),o(e,H,t),o(e,we,t),o(e,w,t),o(e,$e,t),o(e,q,t),o(e,xe,t),o(e,L,t),o(e,Te,t),o(e,P,t),o(e,ye,t),o(e,S,t),o(e,be,t),h(I,e,t),o(e,Ce,t),o(e,A,t),o(e,ke,t),o(e,$,t),o(e,_e,t),o(e,F,t),o(e,Me,t),o(e,j,t),o(e,He,t),o(e,z,t),o(e,qe,t),h(W,e,t),o(e,Le,t),o(e,E,t),o(e,Pe,t),h(N,e,t),o(e,Se,t),o(e,V,t),o(e,Ie,t),h(U,e,t),o(e,Ae,t),o(e,B,t),o(e,Fe,t),o(e,O,t),o(e,je,t),o(e,x,t),o(e,ze,t),o(e,R,t),o(e,We,t),h(D,e,t),o(e,Ee,t),o(e,G,t),o(e,Ne,t),o(e,Y,t),o(e,Ve,t),o(e,T,t),o(e,Ue,t),o(e,J,t),o(e,Be,t),o(e,K,t),o(e,Oe,t),h(Q,e,t),o(e,Re,t),o(e,X,t),o(e,De,t),h(Z,e,t),o(e,Ge,t),o(e,ee,t),o(e,Ye,t),h(te,e,t),o(e,Je,t),o(e,ne,t),o(e,Ke,t),o(e,oe,t),o(e,Qe,t),o(e,y,t),o(e,Xe,t),h(b,e,t),o(e,Ze,t),h(ae,e,t),o(e,et,t),o(e,se,t),o(e,tt,t),h(ie,e,t),o(e,nt,t),o(e,re,t),o(e,ot,t),o(e,le,t),o(e,at,t),o(e,ue,t),o(e,st,t),h(me,e,t),o(e,it,t),o(e,he,t),rt=!0},p(e,[t]){const Nt={};t&2&&(Nt.$$scope={dirty:t,ctx:e}),b.$set(Nt)},i(e){rt||(f(k.$$.fragment,e),f(M.$$.fragment,e),f(I.$$.fragment,e),f(W.$$.fragment,e),f(N.$$.fragment,e),f(U.$$.fragment,e),f(D.$$.fragment,e),f(Q.$$.fragment,e),f(Z.$$.fragment,e),f(te.$$.fragment,e),f(b.$$.fragment,e),f(ae.$$.fragment,e),f(ie.$$.fragment,e),f(me.$$.fragment,e),rt=!0)},o(e){d(k.$$.fragment,e),d(M.$$.fragment,e),d(I.$$.fragment,e),d(W.$$.fragment,e),d(N.$$.fragment,e),d(U.$$.fragment,e),d(D.$$.fragment,e),d(Q.$$.fragment,e),d(Z.$$.fragment,e),d(te.$$.fragment,e),d(b.$$.fragment,e),d(ae.$$.fragment,e),d(ie.$$.fragment,e),d(me.$$.fragment,e),rt=!1},d(e){e&&(n(v),n(C),n(de),n(ce),n(_),n(ge),n(ve),n(H),n(we),n(w),n($e),n(q),n(xe),n(L),n(Te),n(P),n(ye),n(S),n(be),n(Ce),n(A),n(ke),n($),n(_e),n(F),n(Me),n(j),n(He),n(z),n(qe),n(Le),n(E),n(Pe),n(Se),n(V),n(Ie),n(Ae),n(B),n(Fe),n(O),n(je),n(x),n(ze),n(R),n(We),n(Ee),n(G),n(Ne),n(Y),n(Ve),n(T),n(Ue),n(J),n(Be),n(K),n(Oe),n(Re),n(X),n(De),n(Ge),n(ee),n(Ye),n(Je),n(ne),n(Ke),n(oe),n(Qe),n(y),n(Xe),n(Ze),n(et),n(se),n(tt),n(nt),n(re),n(ot),n(le),n(at),n(ue),n(st),n(it),n(he)),n(u),c(k,e),c(M,e),c(I,e),c(W,e),c(N,e),c(U,e),c(D,e),c(Q,e),c(Z,e),c(te,e),c(b,e),c(ae,e),c(ie,e),c(me,e)}}}const en='{"title":"Unit 3. Transformer architectures for audio","local":"unit-3-transformer-architectures-for-audio","sections":[{"title":"How does a transformer work?","local":"how-does-a-transformer-work","sections":[],"depth":2},{"title":"Using transformers for audio","local":"using-transformers-for-audio","sections":[],"depth":2},{"title":"Model inputs","local":"model-inputs","sections":[{"title":"Text input","local":"text-input","sections":[],"depth":3},{"title":"Waveform input","local":"waveform-input","sections":[],"depth":3},{"title":"Spectrogram input","local":"spectrogram-input","sections":[],"depth":3}],"depth":2},{"title":"Model outputs","local":"model-outputs","sections":[{"title":"Text output","local":"text-output","sections":[],"depth":3},{"title":"Spectrogram output","local":"spectrogram-output","sections":[],"depth":3},{"title":"Waveform output","local":"waveform-output","sections":[],"depth":3}],"depth":2},{"title":"Conclusion","local":"conclusion","sections":[],"depth":2}],"depth":1}';function tn(fe){return Bt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class rn extends Ot{constructor(u){super(),Rt(this,u,tn,Zt,Ut,{})}}export{rn as component};
