import{s as ct,n as mt,o as ft}from"../chunks/scheduler.f7e1785c.js";import{S as ht,i as vt,g as a,s as o,r as u,A as gt,h as i,f as n,c as l,j as rt,u as r,x as d,k as De,y as bt,a as s,v as p,d as c,t as m,w as f}from"../chunks/index.9f8f0838.js";import{C as pt}from"../chunks/CodeBlock.b3510e34.js";import{H as g,E as xt}from"../chunks/EditOnGithub.5a9bb8c5.js";function Ct(Ee){let h,ee,Q,te,b,ne,x,ze="Comme pour tout problème d’apprentissage automatique, la qualité de notre modèle dépend des données sur lesquelles nous l’entraînons. Les jeux de données de reconnaissance vocale varient considérablement dans la façon dont ils sont gérés et dans les domaines qu’ils couvrent. Pour choisir le bon jeu de données, nous devons faire correspondre nos critères aux caractéristiques offertes par un jeu de données.",se,C,Be="Avant de choisir un jeu de données, nous devons d’abord comprendre les principales caractéristiques qui le définissent.",oe,$,le,j,ae,y,Ae="En termes simples, le nombre d’heures d’entraînement indique la taille du jeu de données. Il est analogue au nombre d’exemples d’entraînement dans un jeu de données de NLP. Toutefois, les jeux de données plus importants ne sont pas nécessairement meilleurs. Si nous voulons un modèle qui généralise bien, nous avons besoin d’un jeu de données <strong>varié</strong> avec beaucoup de locuteurs, de domaines et de styles d’expression différents.",ie,w,de,M,Ye=`Le domaine est l’endroit d’où proviennent les données, qu’il s’agisse de livres audio, de podcasts, de YouTube ou de réunions professionnelles.
Chaque domaine a une distribution de données différente. Par exemple, les livres audio sont enregistrés dans des conditions de studio, en haute qualité (sans bruit de fond) et le texte est tiré de la littérature. En revanche, pour YouTube, l’audio contient probablement plus de bruits de fond et un style de discours plus informel.`,ue,T,Ie="Nous devons faire correspondre notre domaine aux conditions que nous prévoyons au moment de l’inférence. Par exemple, si nous entraînons notre modèle sur des livres audio, nous ne pouvons pas nous attendre à ce qu’il soit performant dans des environnements bruyants.",re,_,pe,q,Ge="Le style d’élocution peut être classé dans l’une des deux catégories suivantes :",ce,L,Fe="<li>narré : lu à partir d’un script</li> <li>spontané : discours non scénarisé, conversationnel.</li>",me,P,We="Les données audio et textuelles reflètent le style d’élocution. Étant donné que le texte narré est écrit, il a tendance à être prononcé de manière articulée et sans erreur :",fe,H,he,k,Re="Dans le cas d’un discours spontané, on peut s’attendre à un style plus familier, avec des répétitions, des hésitations et des faux départs :",ve,U,ge,S,be,N,Ze=`Le style de transcription indique si le texte cible comporte de la ponctuation, de la casse ou les deux. Si nous voulons qu’un système génère un texte entièrement formaté pouvant être utilisé pour la transcription d’une publication ou d’une réunion, nous avons besoin de données d’entraînement comportant de la ponctuation et des majuscules. Si nous avons simplement besoin des mots prononcés dans une structure non formatée, ni la ponctuation ni la casse ne sont nécessaires.
Dans ce cas, nous pouvons soit choisir un jeu de données sans ponctuation ni casse, soit choisir un jeu de données avec ponctuation et casse, puis les supprimer du texte cible par le biais d’un prétraitement.`,xe,V,Ce,J,Xe="Voici un résumé de jeux de données de reconnaissance vocale en anglais les plus populaires sur le <em>Hub</em> :",$e,D,Oe='<thead><tr><th>Jeu de données</th> <th>Heures d’entraînement</th> <th>Domaine</th> <th>Style d’élocution</th> <th>Casse</th> <th>Ponctuation</th> <th>Licence</th> <th>Usage recommandé</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/librispeech_asr" rel="nofollow">LibriSpeech</a></td> <td>960</td> <td>Audiobook</td> <td>Narrated</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Academic benchmarks</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_11_0" rel="nofollow">Common Voice 11</a></td> <td>3000</td> <td>Wikipedia</td> <td>Narrated</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>Non-native speakers</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>540</td> <td>European Parliament</td> <td>Oratory</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>Non-native speakers</td></tr> <tr><td><a href="https://huggingface.co/datasets/LIUM/tedlium" rel="nofollow">TED-LIUM</a></td> <td>450</td> <td>TED talks</td> <td>Oratory</td> <td>❌</td> <td>❌</td> <td>CC-BY-NC-ND 3.0</td> <td>Technical topics</td></tr> <tr><td><a href="https://huggingface.co/datasets/speechcolab/gigaspeech" rel="nofollow">GigaSpeech</a></td> <td>10000</td> <td>Audiobook, podcast, YouTube</td> <td>Narrated, spontaneous</td> <td>❌</td> <td>✅</td> <td>apache-2.0</td> <td>Robustness over multiple domains</td></tr> <tr><td><a href="https://huggingface.co/datasets/kensho/spgispeech" rel="nofollow">SPGISpeech</a></td> <td>5000</td> <td>Financial meetings</td> <td>Oratory, spontaneous</td> <td>✅</td> <td>✅</td> <td>User Agreement</td> <td>Fully formatted transcriptions</td></tr> <tr><td><a href="https://huggingface.co/datasets/revdotcom/earnings22" rel="nofollow">Earnings-22</a></td> <td>119</td> <td>Financial meetings</td> <td>Oratory, spontaneous</td> <td>✅</td> <td>✅</td> <td>CC-BY-SA-4.0</td> <td>Diversity of accents</td></tr> <tr><td><a href="https://huggingface.co/datasets/edinburghcstr/ami" rel="nofollow">AMI</a></td> <td>100</td> <td>Meetings</td> <td>Spontaneous</td> <td>✅</td> <td>✅</td> <td>CC-BY-4.0</td> <td>Noisy speech conditions</td></tr></tbody>',je,E,Qe="Ce tableau sert de référence pour sélectionner un jeu de données en fonction de vos critères. Vous trouverez ci-dessous un tableau équivalent pour la reconnaissance vocale multilingue. Notez que nous omettons la colonne des heures d’entraînement, qui varie en fonction de la langue pour chaque jeu de données, et que nous la remplaçons par le nombre de langues par jeu de données :",ye,z,Ke='<thead><tr><th>Jeu de données</th> <th>Langues</th> <th>Domaine</th> <th>Style d’élocution</th> <th>Casse</th> <th>Ponctuation</th> <th>Licence</th> <th>Usage recommandé</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech</a></td> <td>6</td> <td>Audiobooks</td> <td>Narrated</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Academic benchmarks</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">Common Voice 13</a></td> <td>108</td> <td>Wikipedia text &amp; crowd-sourced speech</td> <td>Narrated</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>Diverse speaker set</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>15</td> <td>European Parliament recordings</td> <td>Spontaneous</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>European languages</td></tr> <tr><td><a href="https://huggingface.co/datasets/google/fleurs" rel="nofollow">FLEURS</a></td> <td>101</td> <td>European Parliament recordings</td> <td>Spontaneous</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Multilingual evaluation</td></tr></tbody>',we,B,et=`Pour une analyse détaillée des jeux de données audio couverts dans les deux tableaux, consultez l’article de blog <a href="https://huggingface.co/blog/audio-datasets#a-tour-of-audio-datasets-on-the-hub" rel="nofollow"><em>A Complete Guide to Audio Datasets</em></a> (en anglais).
Bien qu’il existe plus de 180 jeux de données de reconnaissance vocale sur le <em>Hub</em>, il est possible qu’aucun jeu de données ne corresponde à vos besoins. Dans ce cas, il est également possible d’utiliser vos propres données audio avec 🤗 <em>Datasets</em>. Pour créer un jeu de données audio personnalisé, reportez-vous au guide <a href="https://huggingface.co/docs/datasets/audio_dataset" rel="nofollow">Créer un jeu de données audio</a>. Lorsque vous créez un jeu de données audio personnalisé, pensez à partager le jeu de données final sur le <em>Hub</em> afin que d’autres membres de la communauté puissent bénéficier de vos efforts et apprécieront votre travail comme vous appréciez le leur.`,Me,A,tt=`Très bien ! Maintenant que nous avons passé en revue tous les critères de sélection d’un jeu de données d’ASR, choisissons-en un pour les besoins de ce tutoriel.
Nous savons que Whisper fait déjà un très bon travail de transcription de données dans des langues à hautes ressources (telles que l’anglais et l’espagnol), nous allons donc nous concentrer sur la transcription multilingue à faibles ressources. Nous voulons conserver la capacité de Whisper à prédire la ponctuation et la casse, donc il semble, d’après le deuxième tableau, que Common Voice 13 est un excellent jeu de données candidat !`,Te,Y,_e,I,nt="Common Voice 13 est un jeu de données <em>crown-sourcés</em> dans lequel des locuteurs enregistrent des textes tirés de Wikipédia dans différentes langues. Il fait partie de la série Common Voice, une collection de jeux de données publiés par la Fondation Mozilla. À l’heure où nous écrivons ces lignes, Common Voice 13 est la dernière édition du jeu de données, avec le plus grand nombre de langues et d’heures par langue de toutes les versions à ce jour.",qe,G,st=`Nous pouvons obtenir la liste complète des langues pour le jeu de données Common Voice 13 en consultant la page du jeu de données sur le <em>Hub</em> : <a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">mozilla-foundation/common_voice_13_0</a>.
La première fois que vous consulterez cette page, il vous sera demandé d’accepter les conditions d’utilisation. Ensuite, vous aurez un accès complet au jeu de données.`,Le,F,ot='Une fois que nous nous sommes authentifiés pour utiliser le jeu de données, son aperçu s’affiche montrant les 100 premiers échantillons du jeu de données pour chaque langue, prêts à être écoutés en temps réel. Pour cette unité, nous sélectionnerons le <a href="https://en.wikipedia.org/wiki/Maldivian_language" rel="nofollow"><em>Dhivehi</em></a> (ou <em>Maldivien</em>), une langue indo-aryenne parlée dans le pays insulaire d’Asie du Sud, les Maldives. Bien que nous choisissions le dhivehi pour ce tutoriel, les étapes couvertes ici s’appliquent à n’importe laquelle des 108 langues de l’ensemble de données Common Voice 13, et plus généralement à n’importe lequel des 180+ jeux de données audio du <em>Hub</em>. Il n’y a donc pas de restriction sur la langue ou le dialecte.',Pe,W,lt="Nous pouvons sélectionner le sous-ensemble Dhivehi de Common Voice 13 en réglant le sous-ensemble sur <code>dv</code> à l’aide du menu déroulant (<code>dv</code> étant le code d’identification de la langue pour le Dhivehi) :",He,v,at='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/cv_13_dv_selection.png" alt="Selecting the Dhivehi split from the Dataset&#39;s Preview"/>',ke,R,it=`Si nous appuyons sur le bouton de lecture du premier échantillon, nous pouvons écouter le son et voir le texte correspondant. Parcourez les échantillons des ensembles d’entraînement et de test pour vous faire une idée plus précise des données que nous traitons.
L’intonation et le style indiquent que les enregistrements sont issus d’un discours narré. Vous remarquerez également la grande diversité des locuteurs et de la qualité des enregistrements, un trait commun aux données provenant de données <em>crown-sourcées</em>.`,Ue,Z,dt="L’aperçu des données est un excellent moyen d’expérimenter les données audio avant de s’engager à les utiliser. Vous pouvez choisir n’importe quel jeu de données sur le Hub, faire défiler les échantillons et écouter l’audio pour les différents sous-ensembles et divisions, afin d’évaluer s’il s’agit du bon jeu de données pour vos besoins. Une fois que vous avez sélectionné un jeu de données, il est facile de charger les données afin de pouvoir commencer à les utiliser.",Se,X,ut=`Personnellement, je ne parle pas le dhivehi et je m’attends à ce que la grande majorité des lecteurs ne le parlent pas non plus ! Pour savoir si notre modèle <em>finetuné</em> est bon, nous aurons besoin d’un moyen rigoureux de l’<em>évaluer</em> sur des données inédites et de mesurer sa précision de transcription.
C’est exactement ce que nous allons faire dans la section suivante !`,Ne,O,Ve,K,Je;return b=new g({props:{title:"Choisir un jeu de données",local:"choisir-un-jeu-de-données",headingTag:"h1"}}),$=new g({props:{title:"Caractéristiques des jeux de données vocaux",local:"caractéristiques-des-jeux-de-données-vocaux",headingTag:"h2"}}),j=new g({props:{title:"1. Nombre d’heures",local:"1-nombre-dheures",headingTag:"h3"}}),w=new g({props:{title:"2. Domaine",local:"2-domaine",headingTag:"h3"}}),_=new g({props:{title:"3. Style d’élocution",local:"3-style-délocution",headingTag:"h3"}}),H=new pt({props:{code:"JUUyJTgwJTlDQ29uc2lkZXIlMjB0aGUlMjB0YXNrJTIwb2YlMjB0cmFpbmluZyUyMGElMjBtb2RlbCUyMG9uJTIwYSUyMHNwZWVjaCUyMHJlY29nbml0aW9uJTIwZGF0YXNldCVFMiU4MCU5RA==",highlighted:'“Consider <span class="hljs-keyword">the</span> task <span class="hljs-keyword">of</span> training <span class="hljs-keyword">a</span> model <span class="hljs-keyword">on</span> <span class="hljs-title">a</span> <span class="hljs-title">speech</span> <span class="hljs-title">recognition</span> <span class="hljs-title">dataset</span>”',wrap:!1}}),U=new pt({props:{code:"JUUyJTgwJTlDTGV0JUUyJTgwJTk5cyUyMHVoaCUyMGxldCdzJTIwdGFrZSUyMGElMjBsb29rJTIwYXQlMjBob3clMjB5b3UnZCUyMGdvJTIwYWJvdXQlMjB0cmFpbmluZyUyMGElMjBtb2RlbCUyMG9uJTIwdWhtJTIwYSUyMHNwLSUyMHNwZWVjaCUyMHJlY29nbml0aW9uJTIwZGF0YXNldCVFMiU4MCU5RA==",highlighted:'“<span class="hljs-keyword">Let</span>’s uhh <span class="hljs-keyword">let</span><span class="hljs-comment">&#x27;s take a look at how you&#x27;d go about training a model on uhm a sp- speech recognition dataset”</span>',wrap:!1}}),S=new g({props:{title:"4. Style de transcription",local:"4-style-de-transcription",headingTag:"h3"}}),V=new g({props:{title:"Résumé de jeux de données sur le Hub",local:"résumé-de-jeux-de-données-sur-le-hub",headingTag:"h2"}}),Y=new g({props:{title:"Common Voice 13",local:"common-voice-13",headingTag:"h2"}}),O=new xt({props:{source:"https://github.com/huggingface/audio-transformers-course/blob/main/chapters/fr/chapter5/choosing_dataset.mdx"}}),{c(){h=a("meta"),ee=o(),Q=a("p"),te=o(),u(b.$$.fragment),ne=o(),x=a("p"),x.textContent=ze,se=o(),C=a("p"),C.textContent=Be,oe=o(),u($.$$.fragment),le=o(),u(j.$$.fragment),ae=o(),y=a("p"),y.innerHTML=Ae,ie=o(),u(w.$$.fragment),de=o(),M=a("p"),M.textContent=Ye,ue=o(),T=a("p"),T.textContent=Ie,re=o(),u(_.$$.fragment),pe=o(),q=a("p"),q.textContent=Ge,ce=o(),L=a("ul"),L.innerHTML=Fe,me=o(),P=a("p"),P.textContent=We,fe=o(),u(H.$$.fragment),he=o(),k=a("p"),k.textContent=Re,ve=o(),u(U.$$.fragment),ge=o(),u(S.$$.fragment),be=o(),N=a("p"),N.textContent=Ze,xe=o(),u(V.$$.fragment),Ce=o(),J=a("p"),J.innerHTML=Xe,$e=o(),D=a("table"),D.innerHTML=Oe,je=o(),E=a("p"),E.textContent=Qe,ye=o(),z=a("table"),z.innerHTML=Ke,we=o(),B=a("p"),B.innerHTML=et,Me=o(),A=a("p"),A.textContent=tt,Te=o(),u(Y.$$.fragment),_e=o(),I=a("p"),I.innerHTML=nt,qe=o(),G=a("p"),G.innerHTML=st,Le=o(),F=a("p"),F.innerHTML=ot,Pe=o(),W=a("p"),W.innerHTML=lt,He=o(),v=a("div"),v.innerHTML=at,ke=o(),R=a("p"),R.innerHTML=it,Ue=o(),Z=a("p"),Z.textContent=dt,Se=o(),X=a("p"),X.innerHTML=ut,Ne=o(),u(O.$$.fragment),Ve=o(),K=a("p"),this.h()},l(e){const t=gt("svelte-u9bgzb",document.head);h=i(t,"META",{name:!0,content:!0}),t.forEach(n),ee=l(e),Q=i(e,"P",{}),rt(Q).forEach(n),te=l(e),r(b.$$.fragment,e),ne=l(e),x=i(e,"P",{"data-svelte-h":!0}),d(x)!=="svelte-1liwqvk"&&(x.textContent=ze),se=l(e),C=i(e,"P",{"data-svelte-h":!0}),d(C)!=="svelte-8nmuma"&&(C.textContent=Be),oe=l(e),r($.$$.fragment,e),le=l(e),r(j.$$.fragment,e),ae=l(e),y=i(e,"P",{"data-svelte-h":!0}),d(y)!=="svelte-5or6t6"&&(y.innerHTML=Ae),ie=l(e),r(w.$$.fragment,e),de=l(e),M=i(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-qgcn64"&&(M.textContent=Ye),ue=l(e),T=i(e,"P",{"data-svelte-h":!0}),d(T)!=="svelte-1ol1wu4"&&(T.textContent=Ie),re=l(e),r(_.$$.fragment,e),pe=l(e),q=i(e,"P",{"data-svelte-h":!0}),d(q)!=="svelte-2lahns"&&(q.textContent=Ge),ce=l(e),L=i(e,"UL",{"data-svelte-h":!0}),d(L)!=="svelte-1ss524e"&&(L.innerHTML=Fe),me=l(e),P=i(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-gbdgg5"&&(P.textContent=We),fe=l(e),r(H.$$.fragment,e),he=l(e),k=i(e,"P",{"data-svelte-h":!0}),d(k)!=="svelte-nt2gen"&&(k.textContent=Re),ve=l(e),r(U.$$.fragment,e),ge=l(e),r(S.$$.fragment,e),be=l(e),N=i(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-r41lbm"&&(N.textContent=Ze),xe=l(e),r(V.$$.fragment,e),Ce=l(e),J=i(e,"P",{"data-svelte-h":!0}),d(J)!=="svelte-1aw4r6k"&&(J.innerHTML=Xe),$e=l(e),D=i(e,"TABLE",{"data-svelte-h":!0}),d(D)!=="svelte-1t6g0d3"&&(D.innerHTML=Oe),je=l(e),E=i(e,"P",{"data-svelte-h":!0}),d(E)!=="svelte-nv5ju2"&&(E.textContent=Qe),ye=l(e),z=i(e,"TABLE",{"data-svelte-h":!0}),d(z)!=="svelte-1f90slp"&&(z.innerHTML=Ke),we=l(e),B=i(e,"P",{"data-svelte-h":!0}),d(B)!=="svelte-145ls1g"&&(B.innerHTML=et),Me=l(e),A=i(e,"P",{"data-svelte-h":!0}),d(A)!=="svelte-1dncet2"&&(A.textContent=tt),Te=l(e),r(Y.$$.fragment,e),_e=l(e),I=i(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-1immk8l"&&(I.innerHTML=nt),qe=l(e),G=i(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-14b0eai"&&(G.innerHTML=st),Le=l(e),F=i(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1h6gp1l"&&(F.innerHTML=ot),Pe=l(e),W=i(e,"P",{"data-svelte-h":!0}),d(W)!=="svelte-54g3cn"&&(W.innerHTML=lt),He=l(e),v=i(e,"DIV",{class:!0,"data-svelte-h":!0}),d(v)!=="svelte-y9qjeu"&&(v.innerHTML=at),ke=l(e),R=i(e,"P",{"data-svelte-h":!0}),d(R)!=="svelte-166zwhg"&&(R.innerHTML=it),Ue=l(e),Z=i(e,"P",{"data-svelte-h":!0}),d(Z)!=="svelte-c39lln"&&(Z.textContent=dt),Se=l(e),X=i(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-mngo01"&&(X.innerHTML=ut),Ne=l(e),r(O.$$.fragment,e),Ve=l(e),K=i(e,"P",{}),rt(K).forEach(n),this.h()},h(){De(h,"name","hf:doc:metadata"),De(h,"content",$t),De(v,"class","flex justify-center")},m(e,t){bt(document.head,h),s(e,ee,t),s(e,Q,t),s(e,te,t),p(b,e,t),s(e,ne,t),s(e,x,t),s(e,se,t),s(e,C,t),s(e,oe,t),p($,e,t),s(e,le,t),p(j,e,t),s(e,ae,t),s(e,y,t),s(e,ie,t),p(w,e,t),s(e,de,t),s(e,M,t),s(e,ue,t),s(e,T,t),s(e,re,t),p(_,e,t),s(e,pe,t),s(e,q,t),s(e,ce,t),s(e,L,t),s(e,me,t),s(e,P,t),s(e,fe,t),p(H,e,t),s(e,he,t),s(e,k,t),s(e,ve,t),p(U,e,t),s(e,ge,t),p(S,e,t),s(e,be,t),s(e,N,t),s(e,xe,t),p(V,e,t),s(e,Ce,t),s(e,J,t),s(e,$e,t),s(e,D,t),s(e,je,t),s(e,E,t),s(e,ye,t),s(e,z,t),s(e,we,t),s(e,B,t),s(e,Me,t),s(e,A,t),s(e,Te,t),p(Y,e,t),s(e,_e,t),s(e,I,t),s(e,qe,t),s(e,G,t),s(e,Le,t),s(e,F,t),s(e,Pe,t),s(e,W,t),s(e,He,t),s(e,v,t),s(e,ke,t),s(e,R,t),s(e,Ue,t),s(e,Z,t),s(e,Se,t),s(e,X,t),s(e,Ne,t),p(O,e,t),s(e,Ve,t),s(e,K,t),Je=!0},p:mt,i(e){Je||(c(b.$$.fragment,e),c($.$$.fragment,e),c(j.$$.fragment,e),c(w.$$.fragment,e),c(_.$$.fragment,e),c(H.$$.fragment,e),c(U.$$.fragment,e),c(S.$$.fragment,e),c(V.$$.fragment,e),c(Y.$$.fragment,e),c(O.$$.fragment,e),Je=!0)},o(e){m(b.$$.fragment,e),m($.$$.fragment,e),m(j.$$.fragment,e),m(w.$$.fragment,e),m(_.$$.fragment,e),m(H.$$.fragment,e),m(U.$$.fragment,e),m(S.$$.fragment,e),m(V.$$.fragment,e),m(Y.$$.fragment,e),m(O.$$.fragment,e),Je=!1},d(e){e&&(n(ee),n(Q),n(te),n(ne),n(x),n(se),n(C),n(oe),n(le),n(ae),n(y),n(ie),n(de),n(M),n(ue),n(T),n(re),n(pe),n(q),n(ce),n(L),n(me),n(P),n(fe),n(he),n(k),n(ve),n(ge),n(be),n(N),n(xe),n(Ce),n(J),n($e),n(D),n(je),n(E),n(ye),n(z),n(we),n(B),n(Me),n(A),n(Te),n(_e),n(I),n(qe),n(G),n(Le),n(F),n(Pe),n(W),n(He),n(v),n(ke),n(R),n(Ue),n(Z),n(Se),n(X),n(Ne),n(Ve),n(K)),n(h),f(b,e),f($,e),f(j,e),f(w,e),f(_,e),f(H,e),f(U,e),f(S,e),f(V,e),f(Y,e),f(O,e)}}}const $t='{"title":"Choisir un jeu de données","local":"choisir-un-jeu-de-données","sections":[{"title":"Caractéristiques des jeux de données vocaux","local":"caractéristiques-des-jeux-de-données-vocaux","sections":[{"title":"1. Nombre d’heures","local":"1-nombre-dheures","sections":[],"depth":3},{"title":"2. Domaine","local":"2-domaine","sections":[],"depth":3},{"title":"3. Style d’élocution","local":"3-style-délocution","sections":[],"depth":3},{"title":"4. Style de transcription","local":"4-style-de-transcription","sections":[],"depth":3}],"depth":2},{"title":"Résumé de jeux de données sur le Hub","local":"résumé-de-jeux-de-données-sur-le-hub","sections":[],"depth":2},{"title":"Common Voice 13","local":"common-voice-13","sections":[],"depth":2}],"depth":1}';function jt(Ee){return ft(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class _t extends ht{constructor(h){super(),vt(this,h,jt,Ct,ct,{})}}export{_t as component};
